HomePhabricator

Update stat1001's httpd access directive to only use Require instead of old…
54ce7e2e1e2fUnpublished

Unpublished Commit · Learn More

Not On Permanent Ref: This commit is not an ancestor of any permanent ref.
This commit no longer exists in the repository. It may have been part of a branch which was deleted.This commit has been deleted in the repository: it is no longer reachable from any branch, tag, or ref.

Description

Update stat1001's httpd access directive to only use Require instead of old Order/Allow/Deny.

The basic Debian httpd config uses Require for / and all the stats websites
uses Order/Allow/Deny. There directives belongs to separate modules: mod_access_compact
and mod_authz_hosts, the latter being the suggested for 2.4. Mixing directives can
lead to access denied issues, so since we are not going back to 2.2 ever it does make
sense to use only new directives.
More info: https://httpd.apache.org/docs/current/upgrading.html#run-time

Bug: T76348
Change-Id: Ifb58545a2fda7efae2a800ff71a27810314411fa

Details

Provenance
elukeyAuthored on May 2 2016, 3:39 PM
ChangeId
Ifb58545a2fda7efae2a800ff71a27810314411fa

Commit No Longer Exists

This commit no longer exists in the repository.